<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelPropertyClassList Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelPropertyClassList Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelPropertyClassList" --><!-- doxytag: inherits="iBase" -->
<p>A list of property classes.  
 <a href="structiCelPropertyClassList.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="propclas_8h_source.html">physicallayer/propclas.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelPropertyClassList:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelPropertyClassList.png" usemap="#iCelPropertyClassList_map" alt=""/>
  <map id="iCelPropertyClassList_map" name="iCelPropertyClassList_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,133,24"/>
</map>
 </div></div>

<p><a href="structiCelPropertyClassList-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassList.html#abd2ca8b5f07f96b4269f6344dad74b9c">Add</a> (<a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *obj)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a property class.  <a href="#abd2ca8b5f07f96b4269f6344dad74b9c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassList.html#aa01a1e9377e14f2875d599f53884d3bd">Find</a> (<a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *obj) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find a property class and return its index.  <a href="#aa01a1e9377e14f2875d599f53884d3bd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassList.html#a0df7d4095e07e62e5fe03820dec5336b">FindByInterface</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__scf.html#gae3095ac94f71a5ff42374271c90222cd">scfInterfaceID</a> id, int version) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find a property class by SCF interface.  <a href="#a0df7d4095e07e62e5fe03820dec5336b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassList.html#a6159bc7c1e79b55c6ac2971c30ed8c27">FindByInterfaceAndTag</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__scf.html#gae3095ac94f71a5ff42374271c90222cd">scfInterfaceID</a> id, int version, const char *tag) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find a property class by SCF interface and tag.  <a href="#a6159bc7c1e79b55c6ac2971c30ed8c27"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassList.html#a3de03b191a798d803bd1779ea6ceaba7">FindByName</a> (const char *name) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find a property class by name.  <a href="#a3de03b191a798d803bd1779ea6ceaba7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassList.html#a96de5a7e3ab3974c2908120913465550">FindByNameAndTag</a> (const char *name, const char *tag) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find a property class by name and tag.  <a href="#a96de5a7e3ab3974c2908120913465550"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassList.html#af2b7eb5f87349100599f6e801401516f">Get</a> (size_t n) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a property class by index.  <a href="#af2b7eb5f87349100599f6e801401516f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassList.html#add5a07bdec7d449ff1d2bd8705998758">GetCount</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the number of property classes in this list.  <a href="#add5a07bdec7d449ff1d2bd8705998758"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassList.html#a6e22940602f49e5aa21801fa1c480b24">Remove</a> (<a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *obj)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a property class.  <a href="#a6e22940602f49e5aa21801fa1c480b24"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassList.html#aaef65a9af5df0f1c25ab82abb5da2360">Remove</a> (size_t n)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove the nth property class.  <a href="#aaef65a9af5df0f1c25ab82abb5da2360"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassList.html#ae1fc8b24f5c91e2a51a8fb6ac57eb7b5">RemoveAll</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all property classes.  <a href="#ae1fc8b24f5c91e2a51a8fb6ac57eb7b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassList.html#a04b51b7526f507f635f1dabfff28331f">RemoveByInterface</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__scf.html#gae3095ac94f71a5ff42374271c90222cd">scfInterfaceID</a> scf_id, int iVersion)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all property classes with given interface (ignores tag).  <a href="#a04b51b7526f507f635f1dabfff28331f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassList.html#a615bd044dbfaf5c3198daac7a1c91693">RemoveByInterfaceAndTag</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__scf.html#gae3095ac94f71a5ff42374271c90222cd">scfInterfaceID</a> scf_id, int iVersion, const char *tag)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all property classes with given interface and with the given tag.  <a href="#a615bd044dbfaf5c3198daac7a1c91693"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A list of property classes. </p>

<p>Definition at line <a class="el" href="propclas_8h_source.html#l00386">386</a> of file <a class="el" href="propclas_8h_source.html">propclas.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="abd2ca8b5f07f96b4269f6344dad74b9c"></a><!-- doxytag: member="iCelPropertyClassList::Add" ref="abd2ca8b5f07f96b4269f6344dad74b9c" args="(iCelPropertyClass *obj)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelPropertyClassList.html#abd2ca8b5f07f96b4269f6344dad74b9c">iCelPropertyClassList::Add</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a property class. </p>

</div>
</div>
<a class="anchor" id="aa01a1e9377e14f2875d599f53884d3bd"></a><!-- doxytag: member="iCelPropertyClassList::Find" ref="aa01a1e9377e14f2875d599f53884d3bd" args="(iCelPropertyClass *obj) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelPropertyClassList.html#aa01a1e9377e14f2875d599f53884d3bd">iCelPropertyClassList::Find</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find a property class and return its index. </p>

</div>
</div>
<a class="anchor" id="a0df7d4095e07e62e5fe03820dec5336b"></a><!-- doxytag: member="iCelPropertyClassList::FindByInterface" ref="a0df7d4095e07e62e5fe03820dec5336b" args="(scfInterfaceID id, int version) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>* <a class="el" href="structiCelPropertyClassList.html#a0df7d4095e07e62e5fe03820dec5336b">iCelPropertyClassList::FindByInterface</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__scf.html#gae3095ac94f71a5ff42374271c90222cd">scfInterfaceID</a>&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>version</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find a property class by SCF interface. </p>
<p>Return that interface with ref-count incremented with one. This function will first try to find a property class that implements the interface but has tag not set (0). If such a property class cannot be found then it will return a random one that implements the given interface. </p>

</div>
</div>
<a class="anchor" id="a6159bc7c1e79b55c6ac2971c30ed8c27"></a><!-- doxytag: member="iCelPropertyClassList::FindByInterfaceAndTag" ref="a6159bc7c1e79b55c6ac2971c30ed8c27" args="(scfInterfaceID id, int version, const char *tag) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>* <a class="el" href="structiCelPropertyClassList.html#a6159bc7c1e79b55c6ac2971c30ed8c27">iCelPropertyClassList::FindByInterfaceAndTag</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__scf.html#gae3095ac94f71a5ff42374271c90222cd">scfInterfaceID</a>&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>version</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find a property class by SCF interface and tag. </p>
<p>If tag is 0 then it will find the default property class. </p>

</div>
</div>
<a class="anchor" id="a3de03b191a798d803bd1779ea6ceaba7"></a><!-- doxytag: member="iCelPropertyClassList::FindByName" ref="a3de03b191a798d803bd1779ea6ceaba7" args="(const char *name) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a>* <a class="el" href="structiCelPropertyClassList.html#a3de03b191a798d803bd1779ea6ceaba7">iCelPropertyClassList::FindByName</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find a property class by name. </p>
<p>This function will first try to find a property class with the given name that has tag not set (0). If such a property class is not found it will return a random one with the given name. </p>

</div>
</div>
<a class="anchor" id="a96de5a7e3ab3974c2908120913465550"></a><!-- doxytag: member="iCelPropertyClassList::FindByNameAndTag" ref="a96de5a7e3ab3974c2908120913465550" args="(const char *name, const char *tag) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a>* <a class="el" href="structiCelPropertyClassList.html#a96de5a7e3ab3974c2908120913465550">iCelPropertyClassList::FindByNameAndTag</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find a property class by name and tag. </p>
<p>If tag is 0 then it will find the default property class. </p>

</div>
</div>
<a class="anchor" id="af2b7eb5f87349100599f6e801401516f"></a><!-- doxytag: member="iCelPropertyClassList::Get" ref="af2b7eb5f87349100599f6e801401516f" args="(size_t n) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a>* <a class="el" href="structiCelPropertyClassList.html#af2b7eb5f87349100599f6e801401516f">iCelPropertyClassList::Get</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return a property class by index. </p>

</div>
</div>
<a class="anchor" id="add5a07bdec7d449ff1d2bd8705998758"></a><!-- doxytag: member="iCelPropertyClassList::GetCount" ref="add5a07bdec7d449ff1d2bd8705998758" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelPropertyClassList.html#add5a07bdec7d449ff1d2bd8705998758">iCelPropertyClassList::GetCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the number of property classes in this list. </p>

</div>
</div>
<a class="anchor" id="a6e22940602f49e5aa21801fa1c480b24"></a><!-- doxytag: member="iCelPropertyClassList::Remove" ref="a6e22940602f49e5aa21801fa1c480b24" args="(iCelPropertyClass *obj)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelPropertyClassList.html#a6e22940602f49e5aa21801fa1c480b24">iCelPropertyClassList::Remove</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a property class. </p>

</div>
</div>
<a class="anchor" id="aaef65a9af5df0f1c25ab82abb5da2360"></a><!-- doxytag: member="iCelPropertyClassList::Remove" ref="aaef65a9af5df0f1c25ab82abb5da2360" args="(size_t n)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelPropertyClassList.html#a6e22940602f49e5aa21801fa1c480b24">iCelPropertyClassList::Remove</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove the nth property class. </p>

</div>
</div>
<a class="anchor" id="ae1fc8b24f5c91e2a51a8fb6ac57eb7b5"></a><!-- doxytag: member="iCelPropertyClassList::RemoveAll" ref="ae1fc8b24f5c91e2a51a8fb6ac57eb7b5" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassList.html#ae1fc8b24f5c91e2a51a8fb6ac57eb7b5">iCelPropertyClassList::RemoveAll</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all property classes. </p>

</div>
</div>
<a class="anchor" id="a04b51b7526f507f635f1dabfff28331f"></a><!-- doxytag: member="iCelPropertyClassList::RemoveByInterface" ref="a04b51b7526f507f635f1dabfff28331f" args="(scfInterfaceID scf_id, int iVersion)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelPropertyClassList.html#a04b51b7526f507f635f1dabfff28331f">iCelPropertyClassList::RemoveByInterface</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__scf.html#gae3095ac94f71a5ff42374271c90222cd">scfInterfaceID</a>&#160;</td>
          <td class="paramname"><em>scf_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iVersion</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all property classes with given interface (ignores tag). </p>

</div>
</div>
<a class="anchor" id="a615bd044dbfaf5c3198daac7a1c91693"></a><!-- doxytag: member="iCelPropertyClassList::RemoveByInterfaceAndTag" ref="a615bd044dbfaf5c3198daac7a1c91693" args="(scfInterfaceID scf_id, int iVersion, const char *tag)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelPropertyClassList.html#a615bd044dbfaf5c3198daac7a1c91693">iCelPropertyClassList::RemoveByInterfaceAndTag</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__scf.html#gae3095ac94f71a5ff42374271c90222cd">scfInterfaceID</a>&#160;</td>
          <td class="paramname"><em>scf_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iVersion</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all property classes with given interface and with the given tag. </p>
<p>'tag' can be 0. In that case it will remove property classes with no tag. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="propclas_8h_source.html">propclas.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
